import request from '@/utils/request'


// 员工总数接口
export function employeesCountApi() {
    return request({
        url: '/dxtop/staff/count',
        method: 'get',
    })
}
// 不同人员比例
export function personnelRatioApi() {
    return request({
        url: '/dxtop/staff/staffRadio',
        method: 'get',
    })
}
// 渠道订单金额汇总
export function channelOrderMoneyApi() {
    return request({
        url: '/dxtop/topChannel/channelOrderMoney',
        method: 'get',
    })
}
// 支付方式数据
export function payTypeCollectApi() {
    return request({
        url: '/dxtop/order/payTypeCollect',
        method: 'get',
    })
}
//充值金额/充值次数
export function orderMoneyApi() {
    return request({
        url: '/dxtop/order/orderMoney',
        method: 'get',
    })
}
// 消费数据统计
export function collectApi(data) {
    return request({
        url: '/dxtop/dish/collect',
        method: 'get',

    })
}

// 充值数据统计
export function dateCollectApi(data) {
    return request({
        url: '/dxtop/order/dateCollect',
        method: 'get',
        params: data
    })

}

// 修改
export function updataChannel() {
    return request({
        url: '/dxtop/topChannel',
        method: 'put',
    })
}
// 删除
export function delChannel(deptId) {
    return request({
        url: '/dxtop/topChannel/' + deptId,
        method: 'delete',

    })
}
// 查询
export function listChannel(query) {
    return request({
        url: '/dxtop/topChannel/list',
        method: 'get',
        params: query
    })
}


// //根据支付方式计算订单汇总
// localhost:8085/dxtop/order/payTypeCollect
// 请求方式:get
// 参数:无
// 响应:[
//         {

//             "payType": 1,
//             "money": 1.00
//         }
// 只需要拿payType和money字段


// //充值金额/充值次数
// localhost:8085/dxtop/order/orderMoney
// 请求方式：get
// 参数无
// 响应：{
//         "total": 0.00,//充值金额
//         "count": 0//充值次数
//     }
// //日期统计接口
// //localhost:8085/dxtop/order/dateCollect
// 参数：type(0月1年),startTime,endTime
// [
//         {
//             "total": 0.0,
//             "orderTime": 1
//         }